Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# QTextView Class Reference
[obsolete]

The QTextView class provides a rich-text viewer. More...

`#include <qtextview.h>`

Inherits QTextEdit.

List of all member functions.

## Properties

- bool overwriteMode - whether new text overwrites or pushes aside existing text (read only)
- int undoDepth - the number of undoable steps (read only)

## Detailed Description

The QTextView class provides a rich-text viewer.

This class is obsolete. It is provided to keep old source working. We strongly advise against using it in new code.

This class wraps a read-only QTextEdit. Use a QTextEdit instead, and call setReadOnly(TRUE) to disable editing.

## Property Documentation

### bool overwriteMode

This property holds whether new text overwrites or pushes aside existing text.

### int undoDepth

This property holds the number of undoable steps.

This file is part of the Qt toolkit. Copyright © 1995-2002 Trolltech. All Rights Reserved.